#ifndef clockMsg_h_included
#define clockMsg_h_included

#include <Arduino.h>

struct clockMsg_s {
  uint8_t msgType;
  uint8_t day;
  uint8_t hour;
  uint8_t minute;
  uint8_t second;
  uint8_t speed; // msPerModelSecond / 4 --> 0..250
};
#define msgType_Clock 'c'  /* clock update, sent by master using broadcast */
#define msgType_ReqReg 'R' /* Request Registration, sent by Master using broadcast; ask clients to register */
#define msgType_Reg 'r' /* Registration message, sent by Client using 1:1 message to master */

#endif
